<?php

/*
 * Read file into array
 */
@$file = fopen("blocks.txt","r");
if(!$file)
	showError("Error opening blocks.txt");

$listFromFile;

$lineCount = 1;
while(!feof($file)) {
	$line = fgetcsv($file);
	
	if(count($line) != 2)
		showError("Error parsing blocks.txt at line " . $lineCount . "<br>Check for empty line or incorrect formatting");
	
	$listFromFile[$line[0]] = $line[1];
	$lineCount++;
}

fclose($file);


/*
 * Input block id, return name
 */
function getBlockName($id){
	global $listFromFile;
	if(array_key_exists($id, $listFromFile))
		return $listFromFile[$id];
	else
		return "Unknown block id: $id";
}


/*
 * Check if given id is valid block id, returns true if valid, false if invalid
 */
function validBlockId($id){
	global $listFromFile;
	
	if(array_key_exists($id, $listFromFile))
		return true;
		
	return false;
}


/*
 * Check if given name is valid block name, returns list of ids
*/
function getBlockList($name){
	global $listFromFile;

	$pattern = "/$name/i";
	$validBlockNames = array();
	
	foreach($listFromFile as $blockId=>$blockName){
		if(preg_match($pattern, $blockName)){
			array_push($validBlockNames, $blockId);
		}
	}
	
	return $validBlockNames;
}

/*
 * Input list of names and ids, return array of ids
 */
function getBlockIdList($rawBlockArray){
	
	$finalIdArray = array();
	
	for($i = 0; $i < count($rawBlockArray); $i++){
		$currEle = $rawBlockArray[$i];
		
		if(is_numeric($currEle) && validBlockId($currEle)){
			array_push($finalIdArray, $currEle);
		} else {
			$id = getBlockList($currEle);
			
			if(count($id) > 0){
				$finalIdArray = array_merge($finalIdArray, $id);
			}			
		}
	}
	
	return $finalIdArray;
}
?>