<!DOCTYPE html>
<?php

session_start();
if(!isset($_SESSION["loggedIn"])){
	header("Location: login.php");
}

?>
<html>

<head>
	<title>CoreProtect Web Interface</title>
	<link rel="stylesheet" href="style/style.css" />
    <link rel="stylesheet" href="style/datatables.css" />
    <link rel="stylesheet" href="style/jqueryui.css" />
	<link href='http://fonts.googleapis.com/css?family=Titillium+Web' rel='stylesheet' type='text/css'>
    
	<script type="text/javascript" src="js/jquery.js"></script>
	<script type="text/javascript" src="js/jqueryui.js"></script>
	<script type="text/javascript" src="js/datatables.js"></script>
	<script type="text/javascript" src="js/timepicker.js"></script>
	<script type="text/javascript" src="js/scripts.js"></script>
</head>

<body>
	<div class="interface" id="interface">
	
		<!-- Options pane -->
		<div class="optionsPane">
			<!-- Left column -->
			<div class="optionsColumn" id="flagsColumn">
			
				<!-- Actions -->
				<div class="container" id="actionsContainer">
					<div class="header">Actions</div>
					<div class="content">
						<label for="bp" class="customCheck"><input type="checkbox" id="bp"/><span> Block Place </span></label>
						<label for="bb" class="customCheck"><input type="checkbox" id="bb"/><span> Block Break </span></label>
						<label for="sp" class="customCheck"><input type="checkbox" id="sp"/><span> Sign Place </span></label>
						<label for="in" class="customCheck"><input type="checkbox" id="in"/><span> Interact </span></label>
						<label for="ch" class="customCheck"><input type="checkbox" id="ch"/><span> Chest Use </span></label>
						<div class="spacing"></div>
						<label for="sa" class="customCheck"><input type="checkbox" id="sa"/><span id="saLabel"> Select All </span></label>
					</div>
					 <div style="clear: both;"></div>
				</div>
				<div class="popup" id="actionsPopup"></div>
			
				<!-- Worlds -->
				<div class="container" id="worldContainer">
					<div class="header"> World </div>
					<div class="content">
						<label for="ov" class="customCheck overworld"><input type="checkbox" id="ov"/><span> Overworld</span></label>
						<label for="ne" class="customCheck nether"><input type="checkbox" id="ne"/><span>Nether</span></label>
						<label for="th" class="customCheck theend"><input type="checkbox" id="th"/><span>The End</span></label>
						<div class="spacing"></div>
						<input type="text" class="textbox" id="world" placeholder="  World ids">
					</div>
					 <div style="clear: both;"></div>
				</div>
				<div class="popup" id="worldPopup"></div>
				<div class="popup" id="overworldPopup"></div>
				<div class="popup" id="netherPopup"></div>
				<div class="popup" id="theendPopup"></div>
				
			</div>
			
			<!-- Right column -->
			<div class="optionsColumn">
			
				<!-- Players -->
				<div class="container" id="playerContainer"><div class="header"> Players </div>
					
					<table class="tableContainer">
						<tr><td><input type="text" class="textbox" id="playerNames" placeholder="  Names"></td></tr>
						<tr><td><label for="mo" class="customCheck mobCheck"><input type="checkbox" id="mo"/><span id="motext"> Include Mobs </span></label></td></tr>
						<tr><td><label for="en" class="customCheck mobCheck"><input type="checkbox" id="en"/><span id="motext"> Include Environment </span></label></td></tr>
					</table>
					 <div style="clear: both;"></div>
				</div>
				<div class="popup" id="playerPopup"></div>
				
				<!-- Coords -->
				<div class="container" id="coordContainer"><div class="header"> Coordinates </div>
					
					<table class="tableContainer">
						<tr>
							<td class="coordsTableEle"><input type="text" class="textbox coord" id="xCoord" placeholder="  X"></td>
							<td class="coordsTableEle"><input type="text" class="textbox coord" id="yCoord" placeholder="  Y"></td>
							<td class="coordsTableEle"><input type="text" class="textbox coord" id="zCoord" placeholder="  Z"></td>
						</tr>
						<tr><td colspan="3"><input type="text" class="textbox" id="radius" placeholder="  Radius"></td></tr>
					</table>
					 <div style="clear: both;"></div>
				</div>
				<div class="popup" id="coordPopup"></div>
				
				<!-- Keywords -->
				<div class="container" id="keywordContainer"><div class="header"> Blocks </div>
					
					<table class="tableContainer">
						<tr><td><input type="text" class="textbox" id="keywords" placeholder="  Block ids or names"></td></tr>
					</table>
					 <div style="clear: both;"></div>
				</div>
				<div class="popup" id="keywordPopup"></div>
				
				<!-- Date -->
				<div class="container" id="dateContainer"><div class="header"> Date </div>
					
					<table class="tableContainer">
						<tr><td><input class="textbox" id="dateFrom" class="textbox dateInput" placeholder="  From"/></td><td><input class="textbox timeInput"  id="timeFrom" placeholder="  Time"/></td></tr>
					    <tr><td><input class="textbox" id="dateTo" class="textbox dateInput" placeholder="  To"/></td><td><input class="textbox timeInput" id="timeTo" placeholder="  Time"/></td></tr>
					</table>
					 <div style="clear: both;"></div>
				</div>
				<div class="popup" id="datePopup"></div>
				
				<!-- Search/Clear buttons -->
				<div class="container" id="buttonsContainer">
					
					<table class="tableContainer"><tr>
						<td class="buttonTableEle"><div class="button" id="clear"><div class="buttonText">Clear</div></div></td>
						<td class="buttonTableEle"><div class="button" id="search"><div class="buttonText">Search</div></div><br style="clear:both" /></td>
					</tr></table>
					 <div style="clear: both;"></div>
				</div>
				<div class="popup" id="buttonsPopup"><div style="clear: both;"></div></div>
				
			</div>
		</div>
		
		<!-- Results pane -->
		<div class="resultsPane"></div>
	</div>
</body>
</html>