var error = false;

$(document).ready(function(){
	
	// Set up popups
	$('.popup').hide();
	$('#playerNames').hover(function(){showPopup('Accepts full names and partial names<br>Separate player names with commas<br>e.g. notch,lex,elle2play', "#player", 0, 0)}, function(){hidePopup("#player")});
	$('#keywords').hover(function(){showPopup('Accepts full names, partial names, and number ids<br>Separate names with commas<br> e.g. diamond,5,cobb', "#keyword", 0, 0)}, function(){hidePopup("#keyword")});
	$('#coordContainer').hover(function(){showPopup("Whole numbers only<br>", "#coord", 0, 0)}, function(){hidePopup("#coord")});
	$('#overworldContainer').hover(function(){showPopup("Overworld", "#overworld", 0, 0)},function(){hidePopup("#overworld")});
	$('#netherContainer').hover(function(){showPopup("Nether", "#nether", 0, 0)},function(){hidePopup("#nether")});
	$('#theendContainer').hover(function(){showPopup("The End", "#theend", 0, 0)},function(){hidePopup("#theend")});
	$('#world').hover(function(){showPopup("If the server is running Multiverse, enter additional world ids<br>Separate ids with commas<br>e.g. 4,5,6", "#world", 0, 0)},function(){hidePopup("#world")});
	$('#dateContainer').hover(function(){showPopup("Use the date and time pickers to ensure correct formatting<br>If you select a time, you must also select a date", "#date", 0, 0)},function(){hidePopup("#date")});

	// Set up time and date pickers
	$("#dateFrom").datepicker();
	$("#dateTo").datepicker();
	$("#timeFrom").timepicker();
	$("#timeTo").timepicker();

	// Set up select/deselect all
	$('#sa').change(function() {
	    var checkboxes = $('#actionsContainer :checkbox');
	    if($(this).is(':checked')) {
	        checkboxes.attr('checked', 'checked');
	        $('#saLabel').html("Deselect All");
	    } else {
	        checkboxes.removeAttr('checked');
	        $('#saLabel').html("Select All");
	    }
	});

	// Set up clear button
	$("#clear").click(function(){
		$("input:text").each(function(){
	        this.value = "";
	    });
		$(':checkbox').removeAttr('checked');
	});

	// Set up enter press
	$('input').keypress(function(e) {
	    if(e.which == 13) {
	        jQuery(this).blur();
	        jQuery('#search').focus().click();
	    }
	});
	
	// Handle search button click
	$("#search").click(function(){
		
		// Reset error
		error = false;
		
		// See if any actions are checked, show error if not
		var checks = $('#actionsContainer input:checked');
		if(checks.length == 0){
			showPopup('Select at least one action to search', "#actions", 1, 1);
			return false;
		}
		
		// Get text data
		var inputs = new Object();
		inputs['actions'] = [];
		
		if($("#bb").attr('checked')) inputs['actions'].push(0);
		if($("#bp").attr('checked')) inputs['actions'].push(1);
		if($("#in").attr('checked')) inputs['actions'].push(2);
		if($("#sp").attr('checked')) inputs['sp'] = true;
		if($("#ch").attr('checked')) inputs['ch'] = true;
		if($("#mo").attr('checked')) inputs['mo'] = true;
		if($("#en").attr('checked')) inputs['en'] = true;
		
		// Parse player name
		var p = $("#playerNames").val();
		if(p){
			p = p.replace(/\s/g, "");
		    var pArray = p.split(',');
		    inputs["players"] = pArray;
		}
		
	    // Parse keywords
	    var k = $("#keywords").val();
	    if(k){
	    	k = k.split(" ").join();
		    var kArray = k.split(',');
		    inputs["keywords"] = kArray;
	    }
	    
	    // Parse date
	    var from = Date.parse($("#dateFrom").val() + " " + $("#timeFrom").val()) / 1000;
		if(isNaN(from)){
			if($("#dateFrom").val() || $("#timeFrom").val()){
				showPopup('Invalid date/time', "#date", 1, 1);
			} 
		} else {
			inputs["from"] = from;
		}
	    	
	    var to = Date.parse($("#dateTo").val() + " " + $("#timeTo").val()) / 1000;
	    if(isNaN(to)){
	    	if($("#dateTo").val() || $("#timeTo").val()){
				showPopup('Invalid date/time', "#date", 1, 1);
	    	} 
	    } else {
			inputs["to"] = to;
    	}
	    
	    // Parse coords
	    if($("#xCoord").val()) inputs["x"] = $("#xCoord").val();
	    if($("#yCoord").val()) inputs["y"] = $("#yCoord").val();
	    if($("#zCoord").val()) inputs["z"] = $("#zCoord").val();
	    if($("#radius").val()) inputs["radius"] = $("#radius").val();
	    
	    // Parse worlds
	    inputs["world"] = [];
		if($('#ov').attr('checked')) inputs["world"].push("1");
		if($('#ne').attr('checked')) inputs["world"].push("2");
		if($('#th').attr('checked')) inputs["world"].push("3");
		
	    w = $("#world").val();
	    
	    if(w.length){
	    	w = w.split(" ").join();
		    var wArray = w.split(',');
		    if(!wArray) {
		    	inputs["world"].push(w);
		    } else {
		    	$.merge(inputs["world"], wArray);
		    }
	    }
	    
	    validate(p, '#player', 0);
	    validate(k, '#keyword', 3);
	    validate($("#xCoord").val(), "#coord", 1);
	    validate($("#yCoord").val(), "#coord", 1);
	    validate($("#zCoord").val(), "#coord", 1);
	    validate($("#radius").val(), "#coord", 1);
	    validate(w, '#world', 2);
	    
	    if(error == true){
	    	return false;
	    }

		// Post to results.php
		$.post("results.php", {'inputs': inputs}, function(data) {
			
			$('.resultsPane').html(data);
			$('.resultsTable').css("visibility", "hidden");
			$('.clipboard').click(function(){
				window.prompt("Ctrl+C to copy to clipboard", $(this).attr('coords'));
				loadClip = false;
			});
			
			var resultsTable = document.getElementById('#resultsTable');
			if (!$.fn.DataTable.fnIsDataTable(resultsTable)) {
				$('#resultsTable').dataTable({
					"iDisplayLength": 20,
			        "bScrollCollapse": true,
			        "aLengthMenu": [[20, 50, 100, -1], [20, 50, 100, "All"]],
			        "bPaginate": true,
			        "sPaginationType": "full_numbers",
			        "aoColumns": [
	                      null,
	                      null,
	                      null,
	                      null,
	                      null,
	                      null,
	                      null,
	                      null,
	                      { "sWidth": "15px", "bSearchable": false}
	                    ],
	                 "sDom": '<"top"fp>rt<"bottom"li><"clear">',
	                 "oLanguage": {
	                     "oPaginate": {
	                       "sFirst": "&nbsp&nbsp&nbsp",
	                       "sLast": "&nbsp&nbsp&nbsp",
	                       "sNext": "&nbsp&nbsp&nbsp",
	                       "sPrevious": "&nbsp&nbsp&nbsp"
	                    	  
	                     }
	                   }
				});
				
				$('.resultsTable').css("visibility", "visible");
			}
		});
	});
});


/*
 * Show popup, requires prefixContainer and prefixPopup divs
 * type 0 = normal, 1 = error
 */
function showPopup(message, prefix, type, hide){
	var color = "";
	var bgColor = ""; 
	
	if(type == 0){
		color = "#0191d9";
		bgColor = "#0c1522";
	}
	
	if(type == 1){
		color = "#c12b41";
		bgColor = "#510d17";
		
		$(prefix + "Container").css("border", "2px " + color + " solid");
		setTimeout(function(){
			$(prefix + "Container").css("border", "2px #0191d9 solid");}, 
			3000);
	}
	
	$(prefix + "Popup").css("border", "1px solid " + color);
	$(prefix + "Popup").css("border-bottom", "5px solid " + color);
	$(prefix + "Popup").css("background", bgColor);
	
	$(prefix + "Popup").html(message);
	$(prefix + "Popup").fadeIn(200);
	$(prefix + "Popup").position({
	    my: "left middle",
	    at: "right middle",
	    of: prefix + "Container"
	})
	
	if(hide) setTimeout(function(){$(prefix + "Popup").fadeOut(200);}, 3000);
}


/*
 * Hide popup
 */
function hidePopup(prefix){
	$(prefix + "Popup").fadeOut(200);
}


/*
 * Validate inputs
 * type 0 = name list, type 1 = number, type 2 = number list, type 3 = block id
 */
function validate(input, id, type){
	switch(type){
		case 0: 
			if(!input.match("^[a-zA-Z0-9_,#]*$")){
				showPopup('Invalid names', id, 1, 1);
				error = true;
			}
			break;
			
		case 1:
			if(!input.match("^[0-9\-]*$")){
				showPopup('Invalid numbers', id, 1, 1);
				error = true;
			}
			break;
			
		case 2:
			if(!input.match("^[0-9,]*$")){
				showPopup('Invalid world ids', id, 1, 1);
				error = true;
			}
			break;
		
		case 3: 
			if(!input.match("^[a-zA-Z0-9, ]*$")){
				showPopup('Invalid block ids/names', id, 1, 1);
				error = true;
			}
			break;
	}
}
