<?php
/*
 * Takes input array and generates queries
 */
function parseInput(){
	global $inputs, $checks;
	global $timeQuery, $blocklistQuery, $actionQuery, $worldQuery, $playerQuery, $mobList, $envList;
	global $DEFAULTHOURSFROM, $DEFAULTWORLD; 
	
	// Player query
	$playerArray = array();
	$playerOnlyClause = "user NOT LIKE '#%' OR ";
	
	if(isset($inputs["players"])){
		$playerArray = array_merge($playerArray, $inputs["players"]);
		$playerOnlyClause = "";
	}

	if(isset($inputs["en"]))
		$playerArray = array_merge($playerArray, $envList);
	
	if(isset($inputs["mo"]))
		$playerArray = array_merge($playerArray, $mobList);
	
	for($i = 0; $i < count($playerArray); $i++){
		$playerArray[$i] = str_replace("_", "\_", $playerArray[$i]);
	}
	
	if($playerArray == null)
		$playerQuery = "(user NOT LIKE '#%')";
	else
		$playerQuery .= "(" . $playerOnlyClause . "user LIKE '%" . join("%' OR user LIKE '%", $playerArray) . "%')";
	
	
	// Time query
	if(!isset($inputs["from"])){
		if($DEFAULTHOURSFROM > 0)
			$inputs["from"] = time() - $DEFAULTHOURSFROM * 60 * 60;
		else
			$inputs["from"] = 0;
	}
	if(!isset($inputs["to"]))
		$inputs["to"] = time();
	$timeQuery = "(time BETWEEN " . $inputs["from"] . " AND " . $inputs["to"] . ")";
	
	
	// Block query
	if(isset($inputs["keywords"])){
		$blockArray = getBlockIdList($inputs["keywords"]);
		if(count($blockArray) > 0)
			$blocklistQuery = "(type IN (" . join(",", $blockArray) . "))";
	}
	
	
	// Action query
	if(isset($inputs['actions'])){
		$actionQuery = "(action IN (" . join(",", $inputs['actions']) . "))";
	}
	
	
	// World query
	if(isset($inputs['world'])){
		$worldQuery = "(wid IN (" . join(",", $inputs['world']) . "))";
	} else {
		$worldQuery = "(wid = $DEFAULTWORLD)";
	}
}

?>