<?php
/*
 * Combines global query variables and queries database
 */

/*
 * Query blocks table, return results array
 */
function queryBlocksTable(){
	global $TABLEPREFIX, $MAXRESULTS;
	global $con, $resultCount;
	global $timeQuery, $blocklistQuery, $actionQuery, $worldQuery, $playerQuery;
	
	$tempQuery = array();
	$optQuery = "";
	
	array_push($tempQuery, $playerQuery);
	array_push($tempQuery, $timeQuery);
	array_push($tempQuery, $actionQuery);
	array_push($tempQuery, $worldQuery);
	if($blocklistQuery != "") 
		array_push($tempQuery, $blocklistQuery);
	
	$optQuery = join(" AND ", $tempQuery);
	$query = "SELECT * FROM $TABLEPREFIX" . "blocks WHERE $optQuery";
	
	if($MAXRESULTS > 0){
		$query .= " LIMIT 0 , $MAXRESULTS";
	}
	
	$result = $con->query($query);
	$results = array();
	
	while($resultCount < $MAXRESULTS && $row = $result->fetch_assoc()){
		
		$actionName = $row["action"];
		switch($actionName){
			case 0: $actionName = "Break"; break;
			case 1: $actionName = "Place"; break;
			case 2: $actionName = "Interact"; break;
		}
		
		$temp['action'] = $actionName;
		$temp['time'] = $row['time'];
		$temp['data'] = getBlockName($row['type']);
		$temp['user'] = $row['user'];
		$coords = explode(".", $row['bcords']);
		$temp['x'] = $coords[0];
		$temp['y'] = $coords[1];
		$temp['z'] = $coords[2];
		$temp['world'] = getWorldName($row['wid']);
	
		array_push($results, $temp);
		$resultCount++;
	}
	
	return $results;
}



/*
 * Query sign table, returns results array
 */
function querySignsTable(){
	global $TABLEPREFIX, $MAXRESULTS;
	global $con, $resultCount;
	global $timeQuery, $blocklistQuery, $worldQuery, $playerQuery;
	
	$tempQuery = array();
	$optQuery = "";
	
	array_push($tempQuery, $playerQuery);
	array_push($tempQuery, $timeQuery);
	array_push($tempQuery, $worldQuery);
	
	$optQuery = join(" AND ", $tempQuery);
	$query = "SELECT * FROM $TABLEPREFIX" . "signs WHERE $optQuery";
	
	if($MAXRESULTS > 0){
		$query .= " LIMIT 0 , $MAXRESULTS";
	}
	
	$result = $con->query($query);
	$results = array();
	
	while($resultCount < $MAXRESULTS && $row = $result->fetch_assoc())
	{
		$temp['action'] = 'Sign';
		$temp['time'] = $row['time'];
		$temp['data'] = $row['line1'] . "<br>" .$row['line2'] . "<br>" . $row['line3'] . "<br>" . $row['line4'];
		$temp['user'] = $row['user'];
		$coords = explode(".", $row['bcords']);
		$temp['x'] = $coords[0];
		$temp['y'] = $coords[1];
		$temp['z'] = $coords[2];
		$temp['world'] = getWorldName($row['wid']);
	
		array_push($results, $temp);
		$resultCount++;
	}
	
	return $results;
}


/*
 * Query container table, return results array
 */
function queryContainersTable(){
	global $TABLEPREFIX, $MAXRESULTS;
	global $con, $resultCount;
	global $timeQuery, $blocklistQuery, $worldQuery, $playerQuery;
	
	$tempQuery = array();
	$optQuery = "";
	
	array_push($tempQuery, $playerQuery);
	array_push($tempQuery, $timeQuery);
	
	if($blocklistQuery != "") array_push($tempQuery, $blocklistQuery);
	array_push($tempQuery, $worldQuery);

	$optQuery = join(" AND ", $tempQuery);
	$query = "SELECT * FROM $TABLEPREFIX" . "containers WHERE $optQuery";
	
	if($MAXRESULTS > 0) {
		$query .= " LIMIT 0 , $MAXRESULTS";
	}
	
	$result = $con->query($query);
	
	if(!$result){
		showError("MySQL error: " . mysqli_error($con));
	}
	
	$results = array();
	
	while($resultCount < $MAXRESULTS && $row = $result->fetch_assoc())
	{
		$action = "";
		
		if($row['action'] == 0){
			$action = 'Stored ';
		} else {
			$action = 'Took ';
		}
		
		$blockName = getBlockName($row['type']);
		$temp['action'] = $action;
		$temp['time'] = $row['time'];
		$temp['data'] = $row['amount'] . "x " . $blockName;
		$temp['user'] = $row['user'];
		$coords = explode(".", $row['bcords']);
		$temp['x'] = $coords[0];
		$temp['y'] = $coords[1];
		$temp['z'] = $coords[2];
		$temp['world'] = getWorldName($row['wid']);
	
		array_push($results, $temp);
		$resultCount++;
	}
	
	return $results;
}

function getWorldName($id){
	switch($id){
		case 1: return "Over"; 
		case 2: return "Nether";
		case 3: return "End";
		default: return "World " . $row['wid'];
	}
}

?>